Subject: bug#47130: 28.0.50; Gnus: mairix doesn't work anymore

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 15 Mar 2021 17:50:35 -0700

On 03/16/21 01:35 AM, Michael Heerdegen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> My only advice is to not use nnmairix (which no one is maintaining), and
>> just use mairix as a regular backend to gnus-search (which should do
>> everything that nnmairix ever did).
>>
>> Not helpful, I know, but that's all I've got...
>
> Oh -- no, very helpful!
>
> Can we then maybe make it a bit more discoverable that nnmairix is
> obsolete (and if it's unmaintained and doesn't work, it is, in reality,
> very obsolete)?  If I don't read the introducing paragraph of the large
> part that covers nnmairix in the Gnus manual (and why should I when I
> know what it does), I can't obtain that information (or can I?).  I have
> wasted hours of trying to get nnmairx work and debug it the last two
> days.

Ugh, I'm sorry. I knew that nnmairix's functionality was obsoleted by
the newer libraries, but didn't know that it simply didn't work anymore.
Sorry for your wasted time!

I think it might be time to move nnmairix to lisp/obsolete? Let's see
what Lars has to say about procedure/protocol.

Eric